package com.fdkankan.scene.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.scene.entity.Scene;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fdkankan.scene.entity.ScenePO;
import com.fdkankan.scene.entity.SceneProPO;
import com.fdkankan.scene.vo.SceneParamVO;
import com.fdkankan.scene.vo.SceneVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 场景表 Mapper 接口
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-23
 */
@Mapper
public interface ISceneMapper extends BaseMapper<Scene> {

    ScenePO findByNum(@Param("sceneCode")String sceneCode);

    List<SceneVO> queryByParam(Page<SceneVO> page, SceneParamVO param);

    List<SceneVO> queryByParamNew(Page<SceneVO> page, SceneParamVO param);

//    List<SceneVO> findSceneProBySnCode(SceneParamVO param);

    List<ScenePO> findAllByYesterday();

    List<SceneProPO> findAllScene(SceneParamVO param);

    List<ScenePO> unionSearchBySceneName(@Param("searchKey") String searchKey);

    List<SceneProPO> getOnlySceneList(SceneParamVO param);
}
